export interface IUserDBModel {
    username: string;
    uid: string;
    showWelcome: boolean;
    score: number;
    classId: string;

    sessionToken: string;

    lastReview: {
        correct: number;
        wrong: number;
    };

    // Levels that we have done
    levels: number[];
    // The "highest" level the user has done
    lastLevel: number;

    queue: number[];

    // Vocabulary ID -> SM2 Metadata
    metadata: {
        [key: number]: {
            easiness: number;
            nextDueDate: number;
            consecutiveCorrectAnswers: number;
        };
    };
};

export interface IUser {
    username: string;
    uid: string;
    showWelcome: boolean;
    score: number;
    classId: string;

    sessionToken: string;
};
