import { connect } from "react-redux";

import { IUser } from "../models/user";

import Application from "../components/app";

import { setAuthenticated, setUser, setDidLogin } from "../actions";

const mapStateToProps = state => {
    return {
        authenticated: state.authenticated,
        user: state.user,
    };
};
const mapDispatchToProps = dispatch => {
    return {
        setAuthenticated: (status: boolean) => dispatch(setAuthenticated(status)),
        setDidLogin: (state: boolean) => dispatch(setDidLogin(state)),
        setUser: (user: IUser) => dispatch(setUser(user)),
    };
};

const ApplicationContainer = connect(mapStateToProps,
    mapDispatchToProps)(Application);

export default ApplicationContainer;
