import { connect } from "react-redux";

import { setLevelListLoading, setLevels } from "../actions";

import { ILevel } from "../models/level";

import LevelListPage from "../pages/levelList";

const mapStateToProps = state => {
    return {
        levels: state.levels,
        loading: state.levelList.loading,
    };
};
const mapDispatchToProps = dispatch => {
    return {
        setLoading: (state: boolean) => dispatch(setLevelListLoading(state)),
        setLevels: (levels: ILevel[]) => dispatch(setLevels(levels)),
    };
};

const LevelListContainer = connect(mapStateToProps,
    mapDispatchToProps)(LevelListPage);
export default LevelListContainer;
